Last Comment Bug 861896 - [b2g-ril] Call waiting feature is not working on Geeksphone Peak devices and on Leo
: [b2g-ril] Call waiting feature is not working on Geeksphone Peak devices and ...
Status: RESOLVED FIXED
[fixed-in-birch], leorun3
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla23
Assigned To: Geeksphone
:
Mentors:
Depends on: 880726
Blocks: b2g-ril
  Show dependency treegraph
 
Reported: 2013-04-15 08:26 PDT by José Antonio Olivera Ortega [:jaoo]
Modified: 2014-02-25 22:14 PST (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
leo+
wontfix
wontfix
fixed
verified
wontfix
wontfix
fixed


Attachments
V1 (2.39 KB, patch)
2013-04-15 08:40 PDT, Geeksphone
vicamo: review+
Details | Diff | Review
b2g18 patch (2.26 KB, patch)
2013-06-13 02:37 PDT, Hsin-Yi Tsai [:hsinyi]
no flags Details | Diff | Review
ril_worker patch for 2ND call on V1.0.1 (1.03 KB, patch)
2013-06-14 02:54 PDT, Geeksphone
no flags Details | Diff | Review

Description José Antonio Olivera Ortega [:jaoo] 2013-04-15 08:26:08 PDT
Call waiting feature is not working properly on Geekphone Peak devices due a extra uint_32 field in the response from the RIL_REQUEST_GET_CURRENT_CALLS parcel. We need to add a new RIL quirk for reading it as we did with other RIL quirks.
Comment 1 Geeksphone 2013-04-15 08:40:44 PDT
Created attachment 737515 [details] [diff] [review]
V1

Add quirk for call waiting feature in ril_worker.js
Comment 2 Vicamo Yang [:vicamo][:vyang] 2013-04-16 07:22:26 PDT
https://hg.mozilla.org/projects/birch/rev/4a7f5c87ff79
Comment 3 Ryan VanderMeulen [:RyanVM] 2013-04-16 13:06:16 PDT
https://hg.mozilla.org/mozilla-central/rev/4a7f5c87ff79
Comment 4 Hsin-Yi Tsai [:hsinyi] 2013-06-13 02:08:04 PDT
This issue happens on leo as well, so leo?
Comment 5 Hsin-Yi Tsai [:hsinyi] 2013-06-13 02:37:34 PDT
Created attachment 761934 [details] [diff] [review]
b2g18 patch
Comment 6 Wayne Chang [:wchang] 2013-06-14 01:26:14 PDT
Triage - blocking as function fail.
Comment 7 isabelrios 2013-06-14 02:49:48 PDT
Fix not available yet when running the Leo testrun3.
Test case affected: #4377
Comment 8 Geeksphone 2013-06-14 02:54:13 PDT
Created attachment 762586 [details] [diff] [review]
ril_worker patch for 2ND call on V1.0.1

Patch that we are using on v1.0.1 for Geeksphone Peak.
Comment 9 Geeksphone 2013-06-14 02:55:30 PDT
Needed to add ro.moz.ril.extra_int_2nd_call=true on build.prop

see: https://github.com/gp-b2g/device-gp-peak/blob/master/full_peak.mk#L24
Comment 10 Hsin-Yi Tsai [:hsinyi] 2013-06-14 02:57:19 PDT
(In reply to Geeksphone from comment #9)
> Needed to add ro.moz.ril.extra_int_2nd_call=true on build.prop
> 
> see: https://github.com/gp-b2g/device-gp-peak/blob/master/full_peak.mk#L24

We've already adding a quirk for leo deivces in bug 880726.
Comment 11 Ryan VanderMeulen [:RyanVM] 2013-06-14 11:50:43 PDT
https://hg.mozilla.org/releases/mozilla-b2g18/rev/1b4b8d9d995b
Comment 13 Hsin-Yi Tsai [:hsinyi] 2013-06-15 19:26:23 PDT
Hi Anshul, is this on your radar?
Comment 14 Anshul 2013-06-16 15:12:14 PDT
Hsin-Yi, call waiting is working fine on leo device with commercial RIL.
Comment 15 Jeni 2013-06-25 15:44:38 PDT
Issue repros on 

Leo Build ID: 20130625070217
Gecko: http://hg.mozilla.org/releases/mozilla-b2g18/rev/29933d1937db
Gaia: 1436e2778b90bd74635b0b94d1cf8ccb0d71b60c
Platform Version: 18.1

Call waiting does not work on device with call forwarding and without call forwarding.  
https://bugzilla.mozilla.org/show_bug.cgi?id=882841
Comment 16 Natalya Kot [:nkot] 2013-06-27 09:38:50 PDT
(In reply to Anshul from comment #14)
> Hsin-Yi, call waiting is working fine on leo device with commercial RIL.


Confirming, call waiting is working fine on Leo:  
 - the user can enable/disable "Call waiting" 
 - if enabled, when the user is on call, and a second call comes in, the user can hear a tone, able to put the fist call on hold, answer the second call, then quit the second call and return to the first call

Leo build info:
Gecko  http://hg.mozilla.org/releases/mozilla-b2g18/rev/29933d1937db
Gaia   1436e2778b90bd74635b0b94d1cf8ccb0d71b60c
Build  20130625070217
Version 18.1

Note You need to log in before you can comment on or make changes to this bug.